#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname	%(echo %{name} | cut -d '-' -f1-2)
#-----------------------------------------------------------------------------
Name		:	gnome-disk-utility
Version		:	46.1
Release		:	17.2.0.rel%{?dist}
Summary		:	Disk management application
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://github.com/GNOME/gnome-disk-utility

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gtk3+
BuildRequires	:	desktop-file-utils
BuildRequires	:	elogind-devel
BuildRequires	:	libdvdread
BuildRequires	:	libcanberra
BuildRequires	:	libhandy-devel
BuildRequires	:	libnotify
BuildRequires	:	libsecret
BuildRequires	:	libpwquality
BuildRequires	:	udisks

Requires(post)	:	%{_bindir}/glib-compile-schemas
Requires(post)	:	%{_bindir}/gtk-update-icon-cache
Requires(post)	:	%{_bindir}/update-desktop-database
#-----------------------------------------------------------------------------
%description
This package contains the Palimpsest disk management application.
Palimpsest supports partitioning, file system creation, encryption,
RAID, SMART monitoring, etc.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README.md
#{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.DiskUtilityNotify.desktop
%{_bindir}/%{sname}*
#{_libexecdir}/gsd-disk-utility-notify
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_datadir}/dbus-1/services/org.gnome.DiskUtility.service
%{_datadir}/glib-2.0/schemas/org.gnome.Disks.gschema.xml
%{_datadir}/metainfo/org.gnome.DiskUtility.appdata.xml
%{_mandir}/man1/%{sname}*.1.gz

#-----------------------------------------------------------------------------
%postun
if [ "$1" = 0 ]; then
  %{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas 2> /dev/null
  %{_bindir}/update-desktop-database 2> /dev/null
  fi

%post
%{_bindir}/update-desktop-database 2> /dev/null
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas 2> /dev/null
%{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson	setup						\
        -D prefix=%{_prefix}				\
        -D sysconfdir=%{_sysconfdir}			\
        -D sbindir=%{_sbindir}				\
	-D mandir=%{_mandir}				\
	-D libdir=%{_libdir}				\
	-D datadir=%{_datadir}				\
	-D infodir=%{_infodir}				\
	-D localstatedir=%{_var}			\
	-D buildtype=release				\
	-D logind=libelogind				\
	-D gsd_plugin=false				\
	_bld

meson	compile						\
	-C _bld						\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

meson	install						\
		-C _bld					\
		--destdir=%{buildroot}			\

#-----------------------------------------------------------------------------
%changelog
